

declare @uid as varchar(500)
declare @tipodoc as int 
set @uid =(select uid from seg_usuario where id=1)

declare @subdoc as int
declare @estadodoc as int

--tipo de documento
if not exists (select * from doc_tipoDocumento where tipodocumento='Alquiler' )
begin
insert into doc_tipoDocumento(uid,eid,active,tipoDocumento)values(@uid,'01',1,'alquiler')
end
set @tipodoc= (select id from doc_tipoDocumento where tipoDocumento='Alquiler')
if not exists (select * from doc_subtipoDocumento where subtipodocumento='Alquiler' and  subtipoDocumento_codigo='ALQ' and id_tipodocumento=@tipodoc)
begin
insert into doc_subtipoDocumento(uid,eid,active,subtipoDocumento,subtipoDocumento_codigo,prefijo,consecutivo,id_tipoDocumento)
values(@uid,'01',1,'Alquiler','ALQ','ALQ',1,@tipodoc)
end
--estados
if not exists (select * from doc_estadoTipoDocumento where estadoTipoDocumento='Nueva' and estadoTipoDocumento_codigo='NUE' and id_tipoDocumento=@tipodoc)
begin
insert into doc_estadoTipoDocumento (uid,eid,active,estadoTipoDocumento,estadoTipoDocumento_codigo,id_tipoDocumento) VALUES (@uid,'01',1,'Nueva','NUE',@tipodoc)
end
if not exists (select * from doc_estadoTipoDocumento where estadoTipoDocumento='En Curso' and estadoTipoDocumento_codigo='CUR' and id_tipoDocumento=@tipodoc)
begin
insert into doc_estadoTipoDocumento (uid,eid,active,estadoTipoDocumento,estadoTipoDocumento_codigo,id_tipoDocumento) VALUES (@uid,'01',1,'En Curso','CUR',@tipodoc)
end
if not exists (select * from doc_estadoTipoDocumento where estadoTipoDocumento='Cancelada' and estadoTipoDocumento_codigo='CAN' and id_tipoDocumento=@tipodoc)
begin
insert into doc_estadoTipoDocumento (uid,eid,active,estadoTipoDocumento,estadoTipoDocumento_codigo,id_tipoDocumento,editadocumento) VALUES (@uid,'01',1,'Cancelada','CAN',@tipodoc,0)
end
if not exists (select * from doc_estadoTipoDocumento where estadoTipoDocumento='Cerrada' and estadoTipoDocumento_codigo='CER' and id_tipoDocumento=@tipodoc)
begin
insert into doc_estadoTipoDocumento (uid,eid,active,estadoTipoDocumento,estadoTipoDocumento_codigo,id_tipoDocumento,editaDocumento) VALUES (@uid,'01',1,'Cerrada','CER',@tipodoc,0)
end


 set @subdoc = (SELECT top 1 id
  FROM [doc_subtipoDocumento] where subtipodocumento='Alquiler')

set @estadodoc =(SELECT top 1 id FROM [doc_estadotipodocumento] where 
estadoTipoDocumento_codigo='NUE' and id_tipodocumento=
(select id from doc_tipoDocumento where tipoDocumento='Alquiler'))

if not exists (select * from doc_flujoDocumento where flujoDocumento='Alquiler' and  flujoDocumento_codigo='genAlq' and id_subtipoDocumento_destino=@subdoc and
id_estadoTipoDocumento_resultado=@estadodoc)
begin
insert into doc_flujoDocumento (uid,eid,flujoDocumento,flujoDocumento_codigo,id_subtipoDocumento_origen,id_subtipoDocumento_destino,
id_estadoTipoDocumento_origen,id_estadoTipoDocumento_resultado,replicarItems,replicarAtributos,replicarItemsActividades,replicarComentario)
VALUES(@uid,'01','Alquiler','genAlq',0,@subdoc,0,@estadodoc,0,0,0,0)
end
---- SUBTIPO CATALOGO 'TARIFAS DE ALQUILER'

declare @tipocatalogo as int
set @tipocatalogo= (select id from cat_tipoCatalogo where tipoCatalogo='otros')
if not exists (select * from cat_subtipoCatalogo where subtipoCatalogo='Tarifa de Alquiler' and id_tipoCatalogo=@tipocatalogo )
begin
insert into cat_subtipoCatalogo (uid,eid,active,subtipoCatalogo,id_tipoCatalogo)
values(@uid,'01',1,'Tarifa de Alquiler',@tipocatalogo)
end


